Subject: Re: bug#65023: 29.1.50; Tramp 2.6.1.1 cannot be installed as ELPA package

From: Michael Albinus <[email-masked]>
Date: Tue, 08 Aug 2023 09:03:59 +0200

Jim Porter <[email-masked]> writes:

Hi Jim,

> Maybe this is something that the "compat" patch should handle, or
> maybe there should even be a separate GNU ELPA package for Emacs
> hotfixes? I'm not sure if this would be too much extra maintenance
> burden though...

Perhaps. But AFAIU, compat is based on major Emacs versions like "29". I
don't know whether they can provide also compat code for versions like "29.1".

A hotfix package could work. However, we aren't in that need yet. For
Tramp we have the instructions now, and there seems to be only org as
another ELPA package, which uses <pkg>-loaddefs.el. Don't know whether
they have problems installing the org package with Emacs 29.1.

Best regards, Michael.